// index.js
// 获取应用实例
const app = getApp()

Page({
    data: {
        currentIndex: 0,
        inputValue: "",
        tabData: [
            {
                text: "全部",
                code: "all"
            },
            {
                text: "我关注的",
                code: "my1"
            },
            {
                text: "工商类",
                code: "my2"
            },
            {
                text: "财税类",
                code: "my3"
            },
            {
                text: "公司转让",
                code: "my4"
            },
        ],
        currentTab: "all"
    },
    onLoad() {

    },
    // 搜索框输入同步值
    bindKeyInput: function (e) {
        this.setData({
            inputValue: e.detail.value
        })
    },
    // 点击搜索
    toSearch(e) {
        console.log(this.data.inputValue)
    },
    // tab切换
    tabChange(e){
        let dataset = e.currentTarget.dataset;
        this.setData({
            currentTab:dataset.code
        })
    },
})
